%define pkg     spf2


Summary:        The Sender Policy Framework (SPF) library
Name:           lib%{pkg}
Version:        1.2.5
Release:        4%{?dist}%{?pext}
License:        LGPL
Group:          System Environment/Libraries
Source0:        http://www.%{name}.org/spf/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.2.5-header.patch
Patch1:         %{name}-1.2.5-build-x86_64.patch
URL:            http://www.%{name}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Wayne Schlitt <wayne@midwestcs.com>

%description
Libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
protocol pair. It is a library which allows email systems such as
Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF records
and make sure that the email is authorized by the domain name that it
is coming from. This prevents email forgery, commonly used by spammers,
scammers and email worms.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%package     -n %{pkg}-progs
Summary:        Related programs for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-progs

%description -n %{pkg}-progs
The %{pkg}-progs package contains programs for making SPF queries.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
# __ns_get16 is GLIBC private
export ac_cv_func___ns_get16="no"

%configure \
	--enable-shared \
	--enable-static

%{__make} #%{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_bindir}/*_static
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changelog INSTALL LICENSES README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc docs/API docs/*.txt
%{_includedir}/%{pkg}
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so

%files -n %{pkg}-progs
%defattr(-,root,root)
%{_bindir}/spf_example
%{_bindir}/spfd
%{_bindir}/spfquery
%{_bindir}/spftest


%changelog
* Fri Mar 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.5-4
- Rewritten for buildsystem

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.2.5-3
- some spec file cleanups (x86_64 support)

* Tue May 23 2006 peter.pramberger@member.fsf.org
- created
